summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorkhilman <khilman@users.noreply.github.com>2018-12-06 16:34:07 -0800
committerGitHub <noreply@github.com>2018-12-06 16:34:07 -0800
commit19fe02f7a341e302e3ad560fcb4cc872f2201a5c (patch)
tree6407f8ddb682f4c66154a73462edc538318f8191
parent7442ca80b0f0fd125fcaf5dc34c30fd4b23341bd (diff)
parent5e382d869da96d31a21316edd6d68e444b43ecca (diff)
Merge pull request #77 from montjoie/misc
Misc
-rwxr-xr-xlava-master/scripts/setup.sh3
-rwxr-xr-xlava-slave/scripts/setup.sh1
2 files changed, 2 insertions, 2 deletions
diff --git a/lava-master/scripts/setup.sh b/lava-master/scripts/setup.sh
index e662a2b..34cd0a1 100755
--- a/lava-master/scripts/setup.sh
+++ b/lava-master/scripts/setup.sh
@@ -71,7 +71,8 @@ if [ -e /root/lava-groups ];then
echo "Handle groups"
echo "======================================================"
GROUP_CURRENT_LIST=/tmp/group.list
- lava-server manage groups list |grep '^\*' > $GROUP_CURRENT_LIST || exit 1
+ lava-server manage groups list > ${GROUP_CURRENT_LIST}.raw || exit 1
+ grep '^\*' ${GROUP_CURRENT_LIST}.raw > ${GROUP_CURRENT_LIST}
for group in $(ls /root/lava-groups/*group)
do
GROUPNAME=""
diff --git a/lava-slave/scripts/setup.sh b/lava-slave/scripts/setup.sh
index 9fbd796..e0e8322 100755
--- a/lava-slave/scripts/setup.sh
+++ b/lava-slave/scripts/setup.sh
@@ -11,7 +11,6 @@ if [ -z "$LAVA_MASTER_URI" ];then
fi
echo "Dynamic slave for $LAVA_MASTER ($LAVA_MASTER_URI)"
-cd /root/lavacli
LAVACLIOPTS="--uri $LAVA_MASTER_URI"
# do a sort of ping for letting master to be up